package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.DisplayTextType;
import org.eclipse.cosmos.me.sdd.schema.ObjectFactory;

public class DisplayTextCompare {

	public static DisplayTextType merge(DisplayTextType d1, DisplayTextType d2)
	{
		ObjectFactory objectFactory = new ObjectFactory();
		DisplayTextType merged = objectFactory.createDisplayTextType();
		
		merged.setTranslationKey(StringCompare.merge(d1.getTranslationKey(),d2.getTranslationKey()));
		merged.setValue(StringCompare.merge(d1.getValue(), d2.getValue()));
		
		return merged;
	}

}
